import { defineComponent as d, createElementBlock as s, createCommentVNode as i, openBlock as l, Fragment as r, createElementVNode as p, createVNode as t, unref as a } from "vue";
import { V as c, a as u, _ as f } from "./index-CVEvAPNs.js";
import { u as V } from "./index-BFe8XjpO.js";
import { _ as b } from "./_image-formatter.vue_vue_type_script_setup_true_lang-C4aTg0C6.js";
import { _ as g } from "./_description.vue_vue_type_script_setup_true_lang-COx4EYgl.js";
const _ = { class: "image" }, k = /* @__PURE__ */ d({
  __name: "image",
  props: {
    content: {},
    disabled: { type: Boolean }
  },
  setup(m) {
    return V(m.content, "image", new u()), (e, o) => e.content.image ? (l(), s(r, { key: 0 }, [
      p("div", _, [
        t(a(b), {
          modelValue: e.content.image,
          "onUpdate:modelValue": o[0] || (o[0] = (n) => e.content.image = n),
          icon: a(c),
          disabled: e.disabled
        }, null, 8, ["modelValue", "icon", "disabled"])
      ]),
      t(a(g), {
        modelValue: e.content.description,
        "onUpdate:modelValue": o[1] || (o[1] = (n) => e.content.description = n),
        disabled: e.disabled
      }, null, 8, ["modelValue", "disabled"])
    ], 64)) : i("", !0);
  }
}), E = /* @__PURE__ */ f(k, [["__scopeId", "data-v-8f0bb20d"]]);
export {
  E as default
};
